• Compatible with all browsers: Chrome, Firefox, Safari, IE, etc.

  • Compatible with version 1.6 and 1.7 of PrestaShop.

  • It's not compatible with multishop and systems that automatically update catalogues.

  • How to install Glotio.

PrestaShop 1.6

PrestaShop 1.7

  • Chat and email support. Response within a maximum period of 24h  from Monday to Friday. If you have any questions or problems with the use of the system you can contact us via email support@glotio.com.

Did this answer your question?